Cyberduck Mountain Duck CLI

#4440 closed defect (fixed)

No uploads/editing and reuploading possible

Reported by: domneuk@… Owned by: dkocher
Priority: high Milestone:
Component: core Version: Nightly Build
Severity: normal Keywords: java repeatable file input stream
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

I'm using Cyberduck for a while without problems. Then we moved to another server and the following problem occurred:

After downloading a file for local editing, i can't upload it anymore! After saving the temporary file in my text editor, Cyberduck recognizes this, but does nothing and sends a 200 command. The same procedure happens when I want to create a new file!

Host: ProFTPD 1.3.1 Server (ProFTPD)

My System: MacOSX 10.6.3 Cyberduck 3.4.2 (Nightly Build 5919)

Attachments (1)

log.txt (3.5 KB) - added by domneuk@… on May 1, 2010 at 1:21:59 AM.
Log of an attempt to modify a file (last 200 command)

Download all attachments as: .zip

Change History (5)

Changed on May 1, 2010 at 1:21:59 AM by domneuk@…

Log of an attempt to modify a file (last 200 command)

comment:1 Changed on Jul 27, 2010 at 5:09:49 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Is this still an issue with a current snapshot build? I cannot replicate this issue. One can see form the transcript that no upload is attempted, tough.

comment:2 Changed on Jul 27, 2010 at 6:23:12 PM by domneuk

  • Architecture set to Intel
  • Keywords java repeatable file input stream added
  • Resolution worksforme deleted
  • Status changed from closed to reopened

Current Snapshot downloaded and tested: Problem still exists.

Maybe this messages from console help:

###### First attempt to save

27.07.10 19:51:13       [0x0-0xbb0bb].ch.sudo.cyberduck[2340]   Exception in thread "pool-1-thread-3" java.lang.ExceptionInInitializerError
27.07.10 19:51:13       [0x0-0xbb0bb].ch.sudo.cyberduck[2340]           at ch.cyberduck.core.Local.getInputStream(Local.java:498)
27.07.10 19:51:13       [0x0-0xbb0bb].ch.sudo.cyberduck[2340]           at ch.cyberduck.core.ftp.FTPPath.uploadASCII(FTPPath.java:904)
27.07.10 19:51:13       [0x0-0xbb0bb].ch.sudo.cyberduck[2340]           at ch.cyberduck.core.ftp.FTPPath.upload(FTPPath.java:825)
27.07.10 19:51:13       [0x0-0xbb0bb].ch.sudo.cyberduck[2340]           at ch.cyberduck.core.Path.upload(Path.java:709)
27.07.10 19:51:13       [0x0-0xbb0bb].ch.sudo.cyberduck[2340]           at ch.cyberduck.core.UploadTransfer.transfer(UploadTransfer.java:443)
27.07.10 19:51:13       [0x0-0xbb0bb].ch.sudo.cyberduck[2340]           at ch.cyberduck.core.Transfer.transfer(Transfer.java:435)
27.07.10 19:51:13       [0x0-0xbb0bb].ch.sudo.cyberduck[2340]           at ch.cyberduck.core.Transfer.transfer(Transfer.java:521)
27.07.10 19:51:13       [0x0-0xbb0bb].ch.sudo.cyberduck[2340]           at ch.cyberduck.core.Transfer.start(Transfer.java:621)
27.07.10 19:51:13       [0x0-0xbb0bb].ch.sudo.cyberduck[2340]           at ch.cyberduck.ui.cocoa.odb.Editor$2.run(Editor.java:179)
.
.
.
###### Second attempt to save

27.07.10 19:52:23       [0x0-0xbb0bb].ch.sudo.cyberduck[2340]   Exception in thread "pool-1-thread-7" java.lang.NoClassDefFoundError: Could not initialize class ch.cyberduck.core.io.RepeatableFileInputStream
27.07.10 19:52:23       [0x0-0xbb0bb].ch.sudo.cyberduck[2340]           at ch.cyberduck.core.Local.getInputStream(Local.java:498
27.07.10 19:52:23       [0x0-0xbb0bb].ch.sudo.cyberduck[2340]           at ch.cyberduck.core.ftp.FTPPath.uploadASCII(FTPPath.java:904)
27.07.10 19:52:23       [0x0-0xbb0bb].ch.sudo.cyberduck[2340]           at ch.cyberduck.core.ftp.FTPPath.upload(FTPPath.java:825)
27.07.10 19:52:23       [0x0-0xbb0bb].ch.sudo.cyberduck[2340]           at ch.cyberduck.core.Path.upload(Path.java:709)
27.07.10 19:52:23       [0x0-0xbb0bb].ch.sudo.cyberduck[2340]           at ch.cyberduck.core.UploadTransfer.transfer(UploadTransfer.java:443)
27.07.10 19:52:23       [0x0-0xbb0bb].ch.sudo.cyberduck[2340]           at ch.cyberduck.core.Transfer.transfer(Transfer.java:435)
27.07.10 19:52:23       [0x0-0xbb0bb].ch.sudo.cyberduck[2340]           at ch.cyberduck.core.Transfer.transfer(Transfer.java:521)
27.07.10 19:52:23       [0x0-0xbb0bb].ch.sudo.cyberduck[2340]           at ch.cyberduck.core.Transfer.start(Transfer.java:621
27.07.10 19:52:23       [0x0-0xbb0bb].ch.sudo.cyberduck[2340]           at ch.cyberduck.ui.cocoa.odb.Editor$2.run(Editor.java:179)
27.07.10 19:52:23       [0x0-0xbb0bb].ch.sudo.cyberduck[2340]           at ch.cyberduck.ui.AbstractController$1.run(AbstractController.java:71)

Nothing "fiddled" in Java installation and no extensions installed (#3820)

comment:3 follow-up: Changed on Jul 27, 2010 at 7:40:24 PM by domneuk

  • Resolution set to fixed
  • Status changed from reopened to closed

Good news, guys!

After remembering that extensions could be also in ~/Library/Java/Extensions ;-)....i found the solution
Deleting and adding these one by one, I found that one called "commons-logging-1.0.4.jar" belonging to software of the Apache Foundation causing the unexpected behavior that changed files wouldn't be automatically uploaded. More precisely: Apache FOP (Formatting Objects Processor).

I needed it to do exercises at university, but didn't remember it anymore and didn't think that it could influence Cyberduck.

Removing this extension I got it to work!

Maybe you can do some reasearch on it.
Download it and install .jar files from build and lib directory (binary package) into ~/Library/Java/Extensions should do it for testing.

Last edited on Jul 28, 2010 at 12:05:51 AM by domneuk (previous) (diff)

comment:4 in reply to: ↑ 3 Changed on Jul 28, 2010 at 5:30:06 AM by dkocher

Replying to domneuk:

Thanks for the additional information to the ticket. Similar issues were reported before in #3820, #3641, #4561 and #5059 having installed outdated versions of *.jar dependencies in /Library/Java/Extensions or ~/Library/Java/Extensions respectively that take precedence in the Java classpath. Installing such libraries globally is discouraged as it will ultimately lead to versioning conflicts sooner or later as in this case.

Note: See TracTickets for help on using tickets.
swiss made software